Bug 1204389 - lxc.kmsg needs to be set to 0 in default lxc.conf to avoid systemd journal 100% cpu
Summary: lxc.kmsg needs to be set to 0 in default lxc.conf to avoid systemd journal 10...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-21 14:54 UTC by Alexander von Gluck IV
Modified: 2015-11-12 00:49 UTC (History)
3 users (show)

Fixed In Version: lxc-1.0.7-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-12 00:49:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander von Gluck IV 2015-03-21 14:54:34 UTC
without lxc.kmsg = 0  in the /etc/lxc/lxc.conf, systemd's journalctl consumes 100% cpu when containers are started.

https://wiki.archlinux.org/index.php/Lxc-systemd

"By default lxc symlinks /dev/kmsg to /dev/console, this leads to journald running 100% cpu usage all the time."

Comment 1 Alexander von Gluck IV 2015-03-21 15:20:27 UTC
(lxc.kmsg = 0 actually needs to go into each lxc container config... I assume putting it in /etc/lxc/lxc.conf will make that happen? I need to test this)

Comment 2 Thomas Moschny 2015-10-24 18:13:44 UTC
I think this bug is a duplicate of bug 1141456. The issue is fixed in upstream commit e8a16654.

Comment 3 Fedora Update System 2015-10-25 07:49:33 UTC
lxc-1.0.7-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ebfe46536f

Comment 4 Fedora Update System 2015-10-28 18:22:00 UTC
lxc-1.0.7-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ebfe46536f

Comment 5 Fedora End Of Life 2015-11-04 16:00:36 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora Update System 2015-11-12 00:48:55 UTC
lxc-1.0.7-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.